/**
 * Copyright 2023 Kapeta Inc.
 * SPDX-License-Identifier: MIT
 */
import { DSLDataTypeProperty, DSLEntity, DSLMethod, DSLType } from './interfaces';
import { HTTPTransport, RESTMethod, TypeLike } from '@kapeta/ui-web-types';
import { Entity, EntityProperties } from '@kapeta/schemas';
type SchemaMethods = {
    [p: string]: RESTMethod;
};
export declare namespace DSLConverters {
    function asDSLType(type: string): DSLType;
    function fromDSLType(type: DSLType): string;
    function fromSchemaType(type?: TypeLike): string;
    function toSchemaType(dslType: DSLType): TypeLike;
    function toSchemaEntity(entity: DSLEntity): Entity | undefined;
    function fromSchemaEntity(entity: Entity): DSLEntity | undefined;
    function fromSchemaProperties(properties: EntityProperties): DSLDataTypeProperty[];
    function toSchemaProperties(properties: DSLDataTypeProperty[]): EntityProperties;
    function fromSchemaTransport(transport: string): "@Path" | "@Header" | "@Query" | "@Body";
    function toSchemaTransport(transport: string): HTTPTransport;
    function fromSchemaMethods(methods: SchemaMethods): DSLMethod[];
    function toSchemaMethods(methods: DSLMethod[]): SchemaMethods;
}
export {};
